Microsoft Paint overview

Paint is a drawing tool you can use to create simple or elaborate drawings. These drawings can be either black-and-white or color, and can be saved as bitmap files. You can print your drawing, use it for your desktop background, or paste it into another document. You can even use Paint to view and edit scanned photos.

You can also use Paint to work with pictures, such as .jpg, .gif, or .bmp files. You can paste a Paint picture into another document you've created, or use it as your desktop background.

Related Topics


Common tasks: Paint

Microsoft Windows graphic

Common tasks

The following tasks are frequently performed when you use Paint.

Draw a straight line

Draw horizontal, vertical, or diagonal lines.

Step-by-step procedure

Fill an area with color

Use foreground and background colors to fill areas of your graphic.

Step-by-step procedure

Set a Paint picture as your desktop background

Use a picture you created in Paint as the background for your desktop.

Step-by-step procedure

Display gridlines to make fine adjustments with color

By displaying gridlines, you can easily make detailed changes to the design and color of an image.

Step-by-step procedure

Work with images from a digital camera or scanner

If you have a device such as a digital camera or a scanner connected to your computer, you can acquire an image from that device and work on the image in Paint.

Step-by-step procedure

Send an image using e-mail

After you are done editing or working on an image, you can send it to friends, business associates, or anyone else using e-mail.

Step-by-step procedure


Draw a straight line

To draw a straight line

  1. In the toolbox, click Line Line.
  2. Below the toolbox, click a line width.
  3. Drag the pointer to draw the line.

Notes

  • You can draw a perfectly horizontal, vertical, or 45-degree diagonal line by holding down SHIFT while dragging.
  • When you drag the pointer, the foreground color is used. To use the background color, hold down the right mouse button and drag the pointer.


Draw a freeform line

To draw a freeform line

  1. In the toolbox, click Line Pencil.
  2. Drag the pointer to draw the line.

Note

  • When you drag the pointer, the foreground color is used. To use the background color, hold down the right mouse button and drag the pointer.


Draw a curved line

To draw a curved line

  1. In the toolbox, click Curve Curve.
  2. Below the toolbox, click a line width.
  3. Draw a straight line by dragging the pointer.
  4. Click where you want one arc of the curve to be, and then drag the pointer to adjust the curve. Repeat this step for a second arc. You can only create two curves for each line.

Note

  • When you drag the pointer, the foreground color is used. To use the background color, click and hold down the right mouse button and drag the pointer.


Draw an ellipse or circle

To draw an ellipse or circle

  1. In the toolbox, click Ellipse Ellipse.
  2. Below the toolbox, click a fill style.
  3. Drag the pointer to draw the ellipse or circle.

Notes

  • When you drag the pointer, the foreground color is used to draw the line surrounding the shape, and the background color is used to fill the shape. To use the background color to draw the line surrounding the shape and the foreground color to fill the shape, hold down the right mouse button and drag the pointer.
  • You can draw a circle by holding down SHIFT while you drag the pointer.
  • The border width of the circle or ellipse is the same as the thickness selected for the line tools. To change the border thickness, click the line or curve tool in the toolbox, and then click the thickness you want in the box below the toolbox.


Draw a rectangle or square

To draw a rectangle or square

  1. In the toolbox, click Rectangle Rectangle to create a square-cornered shape, or click Rounded Rectangle Rounded Rectangle to create a round-cornered shape.
  2. Below the toolbox, click a fill style.
  3. To draw a rectangle, drag the pointer diagonally in the direction you want.
  4. To draw a square, hold down SHIFT while dragging the pointer.

Notes

  • When you drag the pointer, the foreground color is used to draw the line surrounding the shape, and the background color is used to fill the shape. To use the background color to draw the line surrounding the shape and the foreground color to fill the shape, hold down the right mouse button and drag the pointer.
  • The border width of the box is the same as the thickness selected for the line tools. To change the border thickness, click the line or curve tool in the toolbox, and then click the thickness you want in the box below the toolbox.
  • To create a colored fill, click a fill style below the toolbox.


Draw a polygon

To draw a polygon

  1. In the toolbox, click Polygon Polygon.
  2. Below the toolbox, click a fill style.
  3. Drag the pointer to draw a straight line.
  4. Click once at each position where you want a new line segment to appear.
  5. Double-click when done.

Notes

  • To use only 45-degree and 90-degree angles, hold down the SHIFT key while dragging the pointer.
  • When you drag the pointer, the foreground color is used. To use the background color, hold down the right mouse button and drag the pointer.
  • The border width of the polygon is the same as the thickness selected for the line tools. To change the border thickness, click the line or curve tool in the toolbox, and then click the thickness you want in the box below the toolbox.


Type and format text

To type and format text

You can only enter text into an image when you are in normal view. To display the normal view, on the View menu, point to Zoom, and then click Normal size.

  1. In the toolbox, click Text Text.
  2. To create a text frame, drag the pointer diagonally to the size you want.
  3. On the text toolbar, click the font, size, and style you want for the text. If the text toolbar is not displayed, on the View menu, click Text Toolbar. You can drag the toolbar to any location in the window.
  4. Type your text. You can also paste text into a text box, but not graphics.
  5. The color of the text is defined by the foreground color. To make the background of the text transparent, click Transparent Image. To make the background opaque and defined by the background color, click Opaque Image.

Notes

  • You can enter text in a text box only once. When you click outside the box, the text is converted to a graphic image and you cannot make it active again.
  • To change the color of the text, click a color in the color box.
  • To undo up to three changes, on the Edit menu, click Undo for each change.


Erase a small area

To erase a small area

  1. In the toolbox, click Eraser Eraser/Color Eraser.
  2. Below the toolbox, click an eraser size.
  3. Right-click a color in the color box if the color you want to erase with is different from the current background color.
  4. Drag the pointer over the area you want to erase.

Note

  • The current background color is the eraser color. You can change the background color by right-clicking another color in the color box.


Erase a large area

To erase a large area

  1. In the toolbox, click Select Select to select a rectangular area, or click Free-Form Select Free-Form Select to select a freeform area.
  2. Select the area you want to erase.
  3. The eraser color is the same as the background color shown in the color box below the toolbar. Right-click a color in the color box to change the background color.
  4. On the Edit menu, click Clear Selection.


Erase an entire image

To erase an entire image

  1. If any part of the image is selected, click outside of the selected area.
  2. On the Image menu, click Clear Image.

Notes

  • The current background color will be used to fill the cleared area.
  • Choose a different background color by right-clicking a color in the color box. The background color is used to fill the inside of enclosed shapes and the background of text frames. It also appears when you use the eraser.


Stretch or skew an item

To stretch or skew an item

  1. In the toolbox, click Select Select to select a rectangular area or click Free-Form Select Free-Form Select to select a freeform area.
  2. Drag a box around the item you want to change.
  3. Below the toolbox, click one of the following:
    • Click Opaque Image to apply an opaque background.
    • Click Transparent Image to apply a transparent background.
  4. On the Image menu, click Stretch/Skew.
  5. Under Stretch, type the percent to stretch your picture horizontally or vertically.
  6. Under Skew, type the number of degrees to skew your picture horizontally or vertically.


Change the size of your picture

To change the size of your picture

  1. On the Image menu, click Attributes.
  2. Under Units, click the unit of measurement you want to use for the width and height.
  3. Type the measurements in Width and Height.

Notes

  • You can also resize your picture by dragging the image resize handles, located at the lower-right corner and along the bottom and right sides of your picture. (You might need to maximize the window to see the square resize handles.)
  • If your current picture is bigger than the new size, the picture is cut from the right side and bottom to fit within the smaller area. If your current picture is smaller than the new size, the extra area is filled with the selected background color.


Set the default foreground and background colors

To set the default foreground and background colors

  • To set the foreground color, click a color in the color box.
  • To set the background color, right-click a color in the color box.

Notes

  • The foreground color is used for lines, borders of shapes, and text. The background color is used to fill the inside of enclosed shapes and the background of text frames, and when you use the eraser.
  • The default foreground and background colors appear in the left side of the color box. The top color square represents the foreground color. The bottom color square represents the background color.


Fill an area or object with color

To fill an area or object with color

  1. In the toolbox, click Fill With Color Fill With Color.
  2. Click or right-click a color in the color box if the color you want is different from either the current foreground color or background color.
  3. Click or right-click the area or object you want to fill.

Notes

  • If the shape you want to fill has any breaks in its border, the fill color spreads to the rest of the drawing area. To find and close any openings, click the View menu, pointing to Zoom, and then click Large Size or Custom.
  • To fill with the foreground color, click the area; to fill with the background color, right-click the area.


Paint with a brush

To paint with a brush

  1. In the toolbox, click Brush Brush.
  2. Below the toolbox, click a brush shape.
  3. To paint, drag the pointer over the image.

Notes

  • When you drag the pointer, the brush uses the foreground color. To use the background color, click and hold down the right mouse button when you drag the pointer.
  • To undo up to three changes, on the Edit menu, click Undo for each change.


Create an airbrush effect

To create an airbrush effect

  1. In the toolbox, click Airbrush Airbrush.
  2. Below the toolbox, click a spray size.
  3. To spray, drag the mouse pointer over the image.

Notes

  • When you drag the pointer, the airbrush sprays with the foreground color. To use the background color, click and hold down the right mouse button and drag the pointer.
  • To undo up to three changes, on the Edit menu, click Undo for each change.


Create custom colors

To create custom colors

  1. In the color box, click the color you want to change.
  2. On the Colors menu, click Edit Colors.
  3. Click Define Custom Colors.
  4. Click the color swatch to change the Hue and saturation (Sat), and then move the slider in the color gradient to change the luminescence (Lum).
  5. Click Add to Custom Colors.


Use black and white instead of color

To use black and white instead of color

  1. On the Image menu, click Attributes.
  2. Under Colors, click Black and white.

Note

  • If you change back to color, only new work will be in color.


Change the color of an existing line

To change the color of an existing line

  1. In the toolbox, click Fill With Color Fill with color.
  2. In the color box, click a different color.
  3. Click the line you want to change.

Notes

  • If the line is part of a shape, any connecting vertical and horizontal lines will also change to the new color.
  • To make sure you change only the line color and not the surrounding area, you can zoom the picture to a larger size by clicking the View menu, pointing to Zoom, and then clicking Large Size or Custom.


Copy color from one area or object to another

To copy color from one area or object to another

  1. In the toolbox, click Pick Color Pick Color.
  2. Click the area containing the color you want to copy.
  3. In the toolbox, click Fill With Color Fill With Color.
  4. Click the object or area where you want the new color.

Notes

  • Copying a color using the eyedropper tool will change your foreground color.
  • If you copy a color with the eyedropper tool by right-clicking, you will change your background color.


Acquire an image from a scanner or a digital camera

To acquire an image from a scanner or a digital camera

  1. On the File menu, click From Scanner or Camera.
  2. In the Get Pictures dialog box, click the image you want, and then click Get Picture.

Notes

  • You must have a camera or scanner connected to your computer to complete this procedure.
  • Click Thumbnails to view small previews of your pictures, Details to view larger pictures, or Delete selected picture to delete the picture.
  • For more information about the selected picture, including name and format of the image, date and time when the picture was taken, and the size of the image file, click View picture information.


Use a picture as your desktop background

To use a picture as your desktop background

  1. Save the picture.
  2. On the File menu, click either of the following commands:
    • Set As Background (Tiled) covers the desktop with repetitions of your picture.
    • Set As Background (Centered) places your picture in the center of the desktop.


Send an image using e-mail

To send an image using e-mail

After you are done working on an image, you can send it to anyone who has an e-mail account (as long as you also have access to an e-mail account).

  1. On the File menu, click Send.
  2. Your e-mail program will display, with your image included either as an attachment or as part of the message section of your e-mail.
  3. Specify your recipient's e-mail address, a subject, and a message; then send the e-mail as you normally would.

Notes

  • You must have an e-mail account on your computer to send an image.
  • If you have not yet set up an e-mail account, the Internet Connection Wizard will help you set up an e-mail account and send the e-mail at once.


Insert an image file into the current picture

To insert an image file into the current picture

  1. In the toolbox, click Select Select and then drag the pointer to define an area for the inserted file.
  2. On the Edit menu, click Paste From.
  3. Locate and double-click the file you want to insert.
  4. Drag the image file to position it correctly, and then click outside the selection.


Display gridlines

To display gridlines

  1. On the View menu, point to Zoom, and then click Custom.
  2. Under Zoom to, click a percentage of zoom greater than 200 percent, and then click OK.
  3. On the View menu, point to Zoom, and then click Show Grid.

Note

  • You can remove the gridlines by repeating step 3 and clearing the Show Grid check mark, or by clicking View, pointing to Zoom, and then clicking Normal Size.


Flip or rotate a picture or object

To flip or rotate a picture or object

  1. In the toolbox, click Select Select to select a rectangular area or click Free-Form Select Free-Form Select to select a freeform area.
  2. Draw a box around the item you want to flip or rotate.
  3. Below the toolbox, select one of the following:
    • Click Opaque Image to apply an opaque background.
    • Click Transparent Image to apply a transparent background.
  4. On the Image menu, click Flip/Rotate.
  5. Click one of the options under Flip or rotate.

Note

  • To undo up to three changes, on the Edit menu, click Undo for each change.


Copy and paste part of a picture

To copy and paste part of a picture

  1. In the toolbox, click Select Select to select a rectangular area, or click Free-Form Select Free-Form Select to select a freeform area.
  2. Drag the pointer to define the area you want to copy.
  3. Select a method of pasting:
    • Click Opaque Image to apply an opaque background.
    • Click Transparent Image to apply a transparent background.
  4. On the Edit menu, click Copy.
  5. On the Edit menu, click Paste.
  6. Drag the selection to a new location.

Notes

  • You cannot paste graphics when the text tool is selected.
  • You can paste multiple copies of an object by holding down CTRL while you drag the object to a new location. Repeat as needed.
  • To undo up to three changes, on the Edit menu, click Undo for each change.
  • To turn off the selection box, click outside the box.


Select part of a picture

To select part of a picture

  1. In the toolbox, click Select Select to select a rectangular area, or click Free-Form Select Free-Form Select to select a freeform area.
  2. Drag the pointer to define the area you want to select.

Notes

  • The rectangular tool allows you to define straight-edged areas you want to move or change in your picture.
  • The freeform tool allows you to define exact areas of picture you want to change. You can trace a shape, drag it to another area of the picture, rotate it individually, or remove it.
  • To turn off the selection box, click outside it.


Show or hide the color box

To show or hide the color box

  • To show the color box, on the View menu, click Color Box.

    • A check mark appears when the color box is displayed.

Notes

  • You can drag the color box to any location in the window.
  • To hide the color box, on the View menu, click Color Box to clear the check mark.


Save part of a picture into another image file

To save part of a picture into another image file

  1. In the toolbox, click Select Select to select a rectangular area, or click Free-Form Select Free-Form Select to select a freeform area.
  2. Drag the pointer to define the area you want to save.
  3. On the Edit menu, click Copy To.
  4. Specify a folder, a file name, and a file type, and then click Save.


Enlarge the size of the viewing area

To enlarge the size of the viewing area

  • On the View menu, click View Bitmap.

    Your picture fills the entire viewing area. To return to your former view, click anywhere in the picture.

Notes

  • You cannot make changes to a picture in this view.
  • You can also enlarge the size of the viewing area by hiding the toolbox, color box, or status bar. To do this, on the View menu, click to clear their check marks.
  • You can also display gridlines to make fine adjustments with color.


Invert all the colors in a picture

To invert all the colors in a picture

  • On the Image menu, click Invert Colors.

Note

  • Each color is replaced by its color complement. For example, red becomes cyan, and blue becomes yellow.


Print a picture

To print a picture

  • On the File menu, click Print.

Notes

  • To see how the picture will look before you print, on the File menu, click Print Preview.
  • To set margins or change orientation, on the File menu, click Page Setup.


Show or hide the toolbox

To show or hide the toolbox

  • To show the toolbox, on the View menu, click Tool Box.

    A check mark appears when the toolbox is shown. To hide the toolbox, on the View menu, click to clear the check mark.

Note

  • You can drag the toolbox to any location in the window.


Specify opaque or transparent drawing

To specify opaque or transparent drawing

  • To draw an opaque image, on the Image menu, click Draw Opaque and make sure a check mark appears next to it.

    Selecting Opaque specifies that the existing picture will be covered by the white background of a selected area in Paint.

    Opaque Image For example, in the image at the left, notice that the small dotted box includes a white background around the green box. Also notice that the white background covers the larger image behind it.
  • To draw a transparent image, on the Image menu, click Draw Opaque and make sure the check mark does not appear next to it.

    Turning off Opaque specifies that the underlying pictures will be visible through the background of a selected area in Paint.

    Transparent Image For example, in the image at the left, notice that the small dotted box is clear and the green box displays inside it. Also notice that the content of the image behind it is visible right up to the green box.


Undo changes

To undo changes

  • On the Edit menu, click Undo.

Note

  • You can undo up to three changes.


Zoom in or out of a picture

To zoom in or out of a picture

  • On the View menu, point to Zoom, and then click Normal Size, Large Size, or Custom.

Notes

  • If you are going to enter text, you must select Normal Size.
  • You can also display gridlines to make fine adjustments with color.